#ifndef QPUSH_BUTTON_DC
#define QPUSH_BUTTON_DC

#include <QtGui>

class QPushButtonDC : public QPushButton {
	Q_OBJECT
signals:
	void doubleClickedSignal();
public:
	QPushButtonDC(QWidget * parent) : QPushButton(parent) {
	}

protected:
	virtual void mouseDoubleClickEvent(QMouseEvent * mouseEvent) {
		emit doubleClickedSignal();
	}
};

#endif